petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPPIPEGCRSetTruncationType

specify how many of its stored previous directions PIPEGCR uses during orthoganalization

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRSetTruncationType(KSP ksp,KSPFCDTruncationType truncstrat)

Logically Collective on ksp

KSP_FCD_TRUNC_TYPE_STANDARD uses all (up to mmax) stored directions KSP_FCD_TRUNC_TYPE_NOTAY uses the last max(1,mod(i,mmax)) directions at iteration i=0,1,..

### Input Parameters

| ksp | - the Krylov space context
| truncstrat | - the choice of strategy

### Options Database

-ksp_pipegcr_truncation_type <standard,notay> -which stored basis vectors to orthogonalize against

### See Also

KSPPIPEGCR, KSPPIPEGCRSetTruncationType, KSPPIPEGCRTruncationType, KSPFCDTruncationType

### Level

intermediate

### Location

src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages